Bug 833029 - Symbolic link and http proxy config files are not cleaned up from source node after move mysql gear from one node to another node.
Symbolic link and http proxy config files are not cleaned up from source node...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 08:18 EDT by Johnny Liu
Modified: 2015-05-14 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-06-18 08:18:24 EDT
Description of problem:
After move mysql gear from source node to target node, check the souce node, found the Symbolic link for mysql gear is still listed there.

Version Release number of selected component (if applicable):
devenv_1850

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Johnny Liu 2012-06-18 08:25:45 EDT
Not only symbolic link for mysql gear is not deleted, but also http proxy files files are also left.

[root@ip-10-72-198-196 stickshift]# rhc-admin-move --gear_uuid 2fa64831207044bdab1ee43d4507502b -i  ip-10-110-81-169
<--snip-->
Successfully moved 'myapp1' with gear uuid '2fa64831207044bdab1ee43d4507502b' from 'ip-10-72-198-196' to 'ip-10-110-81-169


[root@ip-10-72-198-196 stickshift]# ls .httpd.d/2fa64831207044bdab1ee43d4507502b_jialiu_2fa6483120
00000_default.conf  mysql-5.1.conf
Comment 2 Jhon Honce 2012-06-18 13:28:42 EDT
Please include the commands you used to create the gear. I have not been able to reproduce with a 2-node setup.
Comment 3 Ram Ranganathan 2012-06-18 21:13:26 EDT
Fixed with git commits 44abb1a735c8b23c97ccbc59f14e15575f8bb861  and  d2494625f7cf56f14402000d05ab5eb07634f36a.  

There were fixes needed for deconfigure to occur in the gear move code + there are fixes to create/remove the unobsfucated links.
Comment 4 Rony Gong 2012-06-19 04:34:07 EDT
verified on devenv_1857

both mysql gear foler and symbol link delete in source node, and in .http.d can't see the mysql gear information.
Comment 5 Johnny Liu 2012-06-20 03:18:11 EDT
This bug has been fixed, so clean needinfo flag.

Note You need to log in before you can comment on or make changes to this bug.